#include "player.h"

CPlayer  player;

//-----------------------------------------------------------------------------------------
CPlayer::CPlayer()
{
    dir = 0;
}

//-----------------------------------------------------------------------------------------
CVec2   CPlayer::getPosFromLocal(CVec2 localPos)
{
    CVec2   newLocalPos;

    switch (dir)
    {
        case 0: // haut
            newLocalPos = localPos;
            break;

        case 1: // gauche
            newLocalPos.x = localPos.y;
            newLocalPos.y = -localPos.x;
            break;

        case 2: // bas
            newLocalPos.x = -localPos.x;
            newLocalPos.y = -localPos.y;
            break;

        case 3: // droite
            newLocalPos.x = -localPos.y;
            newLocalPos.y = localPos.x;
            break;
    }

    return pos + newLocalPos;
}

//-----------------------------------------------------------------------------------------
EWallSide   CPlayer::getWallSide(EWallSide side)
{
    static const EWallSide rotatedSides[4][4] =
    {
        {eWallSideUp,    eWallSideDown,  eWallSideLeft,  eWallSideRight}, // haut
        {eWallSideLeft,  eWallSideRight, eWallSideDown,  eWallSideUp},    // gauche
        {eWallSideDown,  eWallSideUp,    eWallSideRight, eWallSideLeft},  // bas
        {eWallSideRight, eWallSideLeft,  eWallSideUp,    eWallSideDown}   // droite
    };
    return rotatedSides[dir][side];
}
